install_int(3)

NAME
install_int

SYNOPSIS
#include <allegro.h>

int install_int(void (*proc)(), int speed);

DESCRIPTION
Installs a user timer handler, with the speed given as the number of milliseconds between ticks. This is the same thing as install_int_ex(proc, MSEC_TO_TIMER(speed)). If you call this routine without having first installed the timer module, install_timer() will be called automatically. If there is no room to add a new user timer, install_int() will return a negative number, otherwise it returns zero.

SEE ALSO
install_timer(3), remove_int(3), install_int_ex(3), install_param_int(3)